    import Overlayer from 'mapbox-plugins/src/layers/overlay.js'

public class | source

# Overlayer

#### Direct Subclass:

CanvasOverlayer, DomOverlayer

#### Indirect Subclass:

WindLayer

Base class of Overlayer

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | map: * |

## Method Summary

Public Methods
public | lnglat2pix(lng: *, lat: *): undefined[] use Global map or this.map instance to project |
public | setMap(map: *): * |

Private Methods
private | _init() to be overwrite in subClass |

## Public Constructors

### public constructor() source

## Public Members

### public map: * source

## Public Methods

### public lnglat2pix(lng: *, lat: *): undefined[] source

use Global map or this.map instance to project

#### Params:

Name | Type | Attribute | Description
lng | * |  |
lat | * |  |

#### Return:

undefined[]

### public setMap(map: *): * source

#### Params:

Name | Type | Attribute | Description
map | * |  |

#### Return:

*

## Private Methods

### private _init() source

to be overwrite in subClass